• 简体中文
  • 查询临时账户有效期

    !!!推荐使用查询订单接口直接返回有账号有效期,同时可以知道订单当前状态!!!

    请求路径

    /api/v2/member/h5/general/getTemporaryAccount

    参数列表

    名称类型长度必填描述
    accountNostring32是虚拟账户号 (订单信息中的payerVirtualAccNo字段)
    accountTypestring32是accountType,固定传-1 (订单信息中的payerAccountType字段)
    orderNostring32是账号绑定的palmpay订单号,必传,用于校验账户合法性

    返回值

    名称类型长度必填描述
    accountTypestring200否账户类型
    accountNostring200否虚拟账户号
    accountStateint-否账户状态(1可用,0不可用)
    expireTimedate-否账户过期时间

    Postman 示例

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/member/h5/general/getTemporaryAccount' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{
        "requestTime": 1662171389940,
        "version": "V1.1",
        "nonceStr": "IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "accountId": "1558616686273",
        "accountType": "",
        "orderNo": ""
    }'

    response

    {
        "respCode": "00000000",
        "respMsg": "success",
        "data": {
            "accountId": "1558616686273",
            "accountType": "242019052313044587518762420",
            "owner": "CH1913953825",
            "expireTime": "36"
        }
    }